defaults = {
    ShowIcon = true,
    Unlocked = true,
    UseEggo = false
}

local frame = CreateFrame("FRAME"); -- Need a frame to respond to events
frame:RegisterEvent("ADDON_LOADED"); -- Fired when saved variables are loaded
frame:RegisterEvent("PLAYER_LOGOUT"); -- Fired when about to log out

function frame:OnEvent(event, arg1)
    if event == "ADDON_LOADED" and arg1 == "Warlockbox" then
        if(WARLOCKBOX_SETTINGS == nil) then
            WARLOCKBOX_SETTINGS = defaults;
        end
        Settings = WARLOCKBOX_SETTINGS;
    elseif event == "PLAYER_LOGOUT" then
        WARLOCKBOX_SETTINGS = Settings;
    end
end
frame:SetScript("OnEvent", frame.OnEvent);